/**
 * 
 */
package org.ow2.petals.registry.core.ws.adapters;

import org.ow2.petals.registry.api.Query;
import org.ow2.petals.registry.api.ws.adapters.QueryAdapter;

/**
 * @author chamerling
 * 
 */
public class QueryAdapterImpl implements QueryAdapter {

    public Query toRegistry(org.ow2.petals.registry.api.ws.to.Query query) {
        Query result = new Query();
        if (query != null) {
            result.setEndpoint(query.getEndpoint());
            result.setInterfaces(query.getInterfaces());
            result.setService(query.getService());
            result.setParams(query.getParams());
            result.setIgnoreParams(query.isIgnoreParams());
        }
        return result;
    }

    public org.ow2.petals.registry.api.ws.to.Query toWS(Query query) {
        org.ow2.petals.registry.api.ws.to.Query result = new org.ow2.petals.registry.api.ws.to.Query();
        if (query != null) {
            result.setEndpoint(query.getEndpoint());
            result.setInterfaces(query.getInterfaces());
            result.setService(query.getService());
            result.setParams(query.getParams());
            result.setIgnoreParams(query.isIgnoreParams());
        }
        return result;
    }

}
